> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/woningdata/autosearch-api/authenticatie-invoer-en-resultaat.md).

# Authenticatie, invoer en resultaat

## Beoordeel het volledige potentieel van de AutoSearch API door de belangrijkste parameters en de reactie te begrijpen

<mark style="color:green;">`GET`</mark>`https://api.altum.ai/autosearch?search=`

Het eindpunt stelt je in staat om met de Autosearch API te communiceren door specifieke queries te verzenden, zoals postcodes, sorteeropties en limieten op het aantal resultaten, om gedetailleerde vastgoedgegevens op te halen. Je kunt het volledige eindpunt hierboven vinden.

### Query Parameters

<table><thead><tr><th width="160">Naam</th><th width="163">Type</th><th>Omschrijving</th></tr></thead><tbody><tr><td>search<mark style="color:red;">*</mark></td><td>string</td><td>Deze parameter gebruikt de postcode die moet worden opgevraagd.</td></tr><tr><td>sort</td><td>string</td><td>Sorteer op "datum" of "relevantie". Standaard is datum.</td></tr><tr><td>limit</td><td>int</td><td>Maximaal aantal objecten in de reactie.</td></tr></tbody></table>

### **Headers**&#x20;

<table><thead><tr><th width="161"></th><th width="166"></th><th></th></tr></thead><tbody><tr><td>Content-Type</td><td>string</td><td>application/json</td></tr><tr><td>x-api-key<mark style="color:red;">*</mark></td><td>string</td><td>Unieke API-sleutel van Altum. Maak er een via Mopsus (https://mopsusak er een via Mopsus)</td></tr></tbody></table>

### Respons

De output van de Autosearch API is een lijst van objecten met de volgende velden:

<br>

<table><thead><tr><th width="162">Naam</th><th width="171">Type</th><th>Omschrijving</th></tr></thead><tbody><tr><td>postcode</td><td>string</td><td>Postcode van de locatie.</td></tr><tr><td>housenumber</td><td>int</td><td>Huisnummer van de locatie.</td></tr><tr><td>houseaddition</td><td>string</td><td>Eventuele toevoeging aan het huisnummer (bijv. "Hs+1")</td></tr><tr><td>city</td><td>string</td><td>Stad of dorp van de locatie.</td></tr><tr><td>street</td><td>string</td><td>Straatnaam van de locatie</td></tr><tr><td>province</td><td>string</td><td>Provincie van de locatie.</td></tr><tr><td>asking_price</td><td>int</td><td>Vraagprijs van het pand.</td></tr><tr><td>date_listed</td><td>string</td><td>Datum waarop het pand is vermeld (dd/mm/jj).</td></tr><tr><td>image</td><td>string</td><td>URL van de afbeelding van het pand (indien beschikbaar).</td></tr><tr><td>market_status</td><td>string</td><td>De huidige marktstatus van het eigendom en de mogelijke waarden: 'Beschikbaar', 'Verkocht onder voorbehoud', 'Onder bod', 'Onder optie', 'Verkocht', 'Alleen bij goed bod', 'Op termijn te koop'.</td></tr></tbody></table>

### Voorbeeld Output

{% tabs %}
{% tab title="200" %}

```json
  
[
    {
        "postcode": "1053BM",
        "housenumber": 26,
        "houseaddition": "Hs+1",
        "city": "Amsterdam Bellamybuurt-Zuid",
        "street": "Bellamystraat",
        "province": "Noord-Holland",
        "asking_price": 925000,
        "date_listed": "18/04/24",
        "image": "https://altum-ai.s3.amazonaws.com/image-16258e96-e073-4d61-aec5-555f38c33ca7.png"
    },
    {
        "postcode": "1053BP",
        "housenumber": 72,
        "houseaddition": null,
        "city": "Amsterdam Bellamybuurt-Zuid",
        "street": "Bellamystraat",
        "province": "Noord-Holland",
        "asking_price": 1150000,
        "date_listed": "30/03/24",
        "image": "https://altum-ai.s3.amazonaws.com/image-cbfa1bb7-ae54-4852-87f4-f69574f27155.png"
    }
]

```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/woningdata/autosearch-api/authenticatie-invoer-en-resultaat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
